Rysunek Roboczy: Odsunięcie

From FreeCAD Documentation
This page is a translated version of the page Draft Offset and the translation is 100% complete.

Rysunek Roboczy: Odsunięcie

Lokalizacja w menu
Modyfikacja → Odsunięcie
Środowisko pracy
Rysunek Roboczy, BIM
Domyślny skrót
O S
Wprowadzono w wersji
-
Zobacz także
Odsunięcie 2D

Opis

Narzędzie Odsunięcie przesuwa każdy segment wybranego obiektu o zadaną odległość lub tworzy przesuniętą kopię wybranego obiektu.

Odsunięcie linii łamanej

Użycie

Zobacz także strony: Rysunek Roboczy: Przyciąganie i Rysunek Roboczy: Wiązania.

  1. Opcjonalnie wybierz jeden obiekt. Obiekt musi leżeć na aktualnej płaszczyźnie roboczej.
  2. Istnieje kilka sposobów, aby wywołać to polecenie:
    • Naciśnij przycisk Odsunięcie.
    • Wybierz z menu opcję Modifikacja → Odsunięcie.
    • Użyj skrótu klawiaturowego: O, a następnie S.
  3. Jeśli nie wybrałeś jeszcze obiektu: wybierz obiekt w oknie widoku 3D.
  4. Otwiera się panel zadań Odsunięcie. Zobacz Opcje, aby uzyskać więcej informacji.
  5. Aby zdefiniować odległość przesunięcia, wykonaj jedną z poniższych czynności:
    • Wybierz punkt w oknie widoku 3D
    • Wprowadź wartość:
      1. Upewnij się, że kursor znajduje się po właściwej stronie obiektu w oknie widoku 3D.
      2. Nie wysuwaj kursora poza okno widoku 3D.
      3. Wprowadź Dystans.
      4. Naciśnij klawisz Enter aby zakończyć polecenie.

Opcje

Skróty klawiaturowe jedno znakowe dostępne w panelu zadań można zmienić. Zobacz stronę Preferencji. Skróty wymienione tutaj są skrótami domyślnymi (w wersji 0.22).

  • Jeśli pole wyboru Odsunięcie w stylu OpenCascade jest zaznaczone, używany jest specjalny styl odsunięcia: otwarte polilinie są odsunięte po obu stronach, a nowe krawędzie są łączone z zaokrąglonymi rogami. Działa to tylko dla planarnych obiektów z co najmniej dwoma krawędziami. Zauważ, że przy tym stylu tworzony jest nowy obiekt nieparametryczny, a jeśli tryb kopiowania jest wyłączony, oryginalny obiekt jest usuwany.
  • Naciśnij C lub kliknij pole wyboru Copy, aby przełączyć tryb kopiowania. Jeśli tryb kopiowania jest włączony, polecenie utworzy kopię z przesunięciem zamiast przesunięcia oryginalnego obiektu.
  • Przytrzymanie klawisza Alt przed wybraniem punktów w oknie widoku 3D również przełączy tryb kopiowania. Gdy klawisz Alt jest przytrzymany, można wybrać wiele punktów przesunięcia. Aby zakończyć polecenie i zobaczyć utworzone kopie, należy puścić klawisz Alt.
  • Przytrzymaj klawisz Shift, aby zachować odległość przesunięcia związaną z bieżącym segmentem.
  • Naciśnij klawisz S, aby włączyć lub wyłączyć przyciąganie.
  • Naciśnij klawisz Esc lub przycisk Zamknij, aby zakończyć polecenie.

Uwagi

Tworzenie skryptów

Zobacz również stronę: Dokumentacja API generowana automatycznie oraz Podstawy tworzenia skryptów FreeCAD.

Aby odsunąć obiekty należy użyć metody offset modułu Rysunek Roboczy. Metoda ta może obsługiwać tylko obiekty typupolilinia, okrąg, prostokąt, wielokąt i linia złożona.

offset_obj = offset(obj, delta, copy=False, bind=False, sym=False, occ=False)
  • obj to obiekt, który ma zostać odsunięty.
  • delta zawiera informacje o odsunięciu:
  • Jeśli wartość opcji copy wynosi True, oryginalny obiekt jest zachowywany i tworzony jest nowy obiekt.
  • Jeśli wartość opcji bind wynosi True, tworzona jest ściana poprzez połączenie kształtu oryginalnego obiektu z kształtem jego odsunięcia. Działa to tylko dla otwartych polilinii.
  • Jeśli wartość parametru sym wynosi True, a wartość parametru bind również wynosi True, to odsunięcie jest wykonywane po obu stronach oryginalnego obiektu, a całkowita szerokość jest równa długości podanego wektora. Działa to tylko dla otwartych polilinii.
  • Jeśli wartość parametru occ wynosi True używane jest odsunięcie w stylu OCC. Zobacz Opcje. Jeśli wartość parametru occ wynosi True, argumenty bind i sym są ignorowane.
  • offset_obj jest zwracany z oryginalnym obiektem odsunięcia, lub z nowym obiektem. Jeśli wartość parametru bind wynosi True lub wartość parametru occ wynosi True, to nowy obiekt jest obiektem Część: Cecha.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1500, 2000, 0)
p3 = App.Vector(4000, 0, 0)

wire = Draft.make_wire([p1, p2, p3])
doc.recompute()

vector = App.Vector(-200, 150, 0)
offset1 = Draft.offset(wire, vector, copy=True, bind=True, sym=True)
offset2 = Draft.offset(wire, 3*vector, copy=True)
offset3 = Draft.offset(wire, 6*vector, copy=True)
offset4 = Draft.offset(wire, 9*vector, copy=True)
offset5 = Draft.offset(wire, 1.5*vector, copy=True, occ=True)

doc.recompute()